org.apache.geode.cache.configuration

## Class DiskDirsType

- java.lang.Object
- - org.apache.geode.cache.configuration.DiskDirsType

-     @Experimental
      public class DiskDirsType
      extends java.lang.Object

  A "disk-dirs" element specifies the region's disk directories.

  Java class for disk-dirs-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="disk-dirs-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="disk-dir" type="{http://geode.apache.org/schema/cache}disk-dir-type" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<DiskDirType>` | `diskDirs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskDirsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DiskDirType>` | `getDiskDirs()` Gets the value of the diskDir property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### diskDirs

          protected java.util.List<DiskDirType> diskDirs

  - ### Constructor Detail

    - #### DiskDirsType

          public DiskDirsType()

  - ### Method Detail

    - #### getDiskDirs

          public java.util.List<DiskDirType> getDiskDirs()

      Gets the value of the diskDir property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the diskDir property.

      For example, to add a new item, do as follows:

           getDiskDirs().add(newItem);

      Objects of the following type(s) are allowed in the list `DiskDirType`